#
# spec file for package intelhex
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           intelhex
License:        BSD-3-Clause
Group:          Development/Tools/Other
Version:        1.5
Release:        lp152.3.3
Summary:        Library for Intel HEX Files Manipulations
Url:            http://www.bialix.com/intelhex/
Source:         http://www.bialix.com/intelhex/intelhex-1.5.zip
BuildRequires:  python
BuildRequires:  unzip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Python implementation of Intel HEX file format allows you read, modify, write
hex files and convert them to binary form.

The Intel HEX file format widely used in microprocessors and microcontrollers
area as the de-facto standard for representation of code for programming
microelectronic devices.

This work implements an **intelhex** Python library to read, write,
create from scratch and manipulate data from HEX (also known as Intel HEX)
file format. These operations are provided by “IntelHex” class.

The distribution package also includes several convenience Python scripts
to do basic tasks that utilize this library. The “bin2hex.py” script
converts binary data to HEX, and the “hex2bin.py” works the other direction.
“hex2dump.py” converts data from HEX to a hexdump which is useful for
inspecting data, and “hexmerge.py” merges multiple HEX files into one.


%lang_package
%prep
%setup -q

%build
python setup.py\
	build

%install
python setup.py\
	install\
	--prefix=%{_prefix}\
	--root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS.txt LICENSE.txt NEWS.txt README.txt
%{_bindir}/*
%{python_sitelib}/*

%changelog
* Fri Jul  1 2016 toddrme2178@gmail.com
- Fix Group tag.
* Tue May 27 2014 sbrabec@suse.cz
- Created new package, version 1.5.
